""" dragDrop.py
    illustrate click and mouseDown methods
    with gameEngine
"""

import pygame, gameEngine

class Ball(gameEngine.SuperSprite):
    def __init__(self, scene):
        gameEngine.SuperSprite.__init__(self, scene)
        self.setImage("ball.gif")
        
    def checkEvents(self):
        #drag and drop
        if self.mouseDown():
            self.setPosition(pygame.mouse.get_pos())

def main():
    game = gameEngine.Scene()
    ball = Ball(game)
    game.sprites = [ball]
    game.start()
    
if __name__ == "__main__":
    main()