""" rgbScroller.py 
    demonstrates use of scrollers
    to make a color picker
"""

import pygame, gameEngine

class ColorScr(gameEngine.Scroller):
    def __init__(self):
        gameEngine.Scroller.__init__(self)
        self.minValue = 0
        self.maxValue = 255
        self.value = 255
        self.increment = 5
        self.format = "<<  %d  >>"

class Game(gameEngine.Scene):
    def __init__(self):
        gameEngine.Scene.__init__(self)

        #make scrollers
        self.scrRed = ColorScr()
        self.scrRed.center = (320, 200)
        
        self.scrGreen = ColorScr()
        self.scrGreen.center = (320, 240)
        
        self.scrBlue = ColorScr()
        self.scrBlue.center = (320, 280)
        
        self.sprites = [self.scrRed, self.scrGreen, self.scrBlue]
        self.setCaption("RGB Scrollers")
    
    def update(self):
        red = self.scrRed.value
        green = self.scrGreen.value
        blue = self.scrBlue.value
        self.background.fill((red, green, blue))
        
        #blit the background
        self.screen.blit(self.background, (0, 0))
        
def main():
    game = Game()
    game.start()
    
if __name__ == "__main__":
    main()  